

Name:           python-squaremap
Version:        1.0.3
Release:        6%{?dist}
Summary:        SquareMap for wxPython

Group:          Development/Libraries
License:        BSD
URL:            https://launchpad.net/squaremap
Source0:        http://pypi.python.org/packages/source/S/SquareMap/SquareMap-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

Requires:       wxPython

%description
A simple wxPython control to display hierarchic data as a recursive set of
nested squares, each of which represents the relative size of a given child
within its parent.

%prep
%setup -q -n SquareMap-%{version}

# Delete pre-built egg-info:
rm -rf *.egg-info

%build
%{__python2} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# squaremap.py can be run as a script, for testing purposes; it shows file
# sizes within a directory:
chmod +x $RPM_BUILD_ROOT/%{python2_sitelib}/squaremap/squaremap.py
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{python2_sitelib}/squaremap
%{python2_sitelib}/SquareMap-*.egg-info


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 16 2014 Robert Kuska <rkuska@redhat.com> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Mar 03 2014 Robert Kuska <rkuska@redhat.com> - 1.0.3-1
- Update to 1.0.3, drop alphatag since squaremap is in final state
- Change macros according to recent change in python packaging guide

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.4.b3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.3.b3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.2.b3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 27 2012 David Malcolm <dmalcolm@redhat.com> - 1.0.1-0.1.b3
- 1.0.1b3

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.5.b25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.b25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 30 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-0.3.b25
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Mar 12 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-0.2.b25
- new upstream version (1.0.0b25)

* Tue Mar  2 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-0.2.b24
- fix permissions for squaremap.py
- change group to Development/Libraries
- delete prebuilt egg-info, and explicitly list egginfo in %%files stanza to
ensure it is regenerated during the build

* Wed Feb 24 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-0.1.b24
- initial package

